<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormPrefController class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormPrefController">GormPrefController class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormPrefController
        class
      </a></h1>
    <h2><a name="class$GormPrefController">GormPrefController</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormPrefs/GormPrefController.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormPrefController_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormPrefController.html#method$GormPrefController-panel">-panel</a></li>
      <li><a rel="gsdoc" href="GormPrefController.html#method$GormPrefController-popupAction$">-popupAction:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormPrefController-panel">panel&nbsp;</a></h3>
    - (id) <b>panel</b>;<br />
    <div class="desc">
      
            Return the preferences panel.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPrefController-popupAction$">popupAction:&nbsp;</a></h3>
    - (void) <b>popupAction:</b> (id)sender;<br />
    <div class="desc">
      
            Called when the popup is used to select a pref
            panel.
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormPrefController_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormPrefController Class</h2>
    <h3><a name="ivariable$GormPrefController*_colorsView">_colorsView</a></h3>
    @protected id <b>_colorsView</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPrefController*_generalView">_generalView</a></h3>
    @protected id <b>_generalView</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPrefController*_guidelineView">_guidelineView</a></h3>
    @protected id <b>_guidelineView</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPrefController*_headersView">_headersView</a></h3>
    @protected id <b>_headersView</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPrefController*_palettesView">_palettesView</a></h3>
    @protected id <b>_palettesView</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPrefController*_pluginsView">_pluginsView</a></h3>
    @protected id <b>_pluginsView</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPrefController*_shelfView">_shelfView</a></h3>
    @protected id <b>_shelfView</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPrefController*panel">panel</a></h3>
    @protected id <b>panel</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPrefController*popup">popup</a></h3>
    @protected id <b>popup</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPrefController*prefBox">prefBox</a></h3>
    @protected id <b>prefBox</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
